# vue-script-src
a simple way load dynamic script in Vue.

## 安装
### npm
```
$ npm i vue-script-src
```

## 使用
### 示例
```
<template>
  <div id="app">
    <vue-script-src
      :sources="['https://cdn.bootcss.com/jquery/3.3.1/jquery.min.js']"
      @complete="handleComplete"
    ></vue-script-src>
  </div>
</template>

<script>
import VueScriptSrc from 'vue-script-src'

export default {
  components: {
    VueScriptSrc,
  },
  methods: {
    handleComplete() {
      console.log('complete')
    },
  },
}
</script>
```

### Props
#### sources
- 类型：Array
- 默认值：[]
- 说明: 异步脚本源地址数组，按照传入顺序进行加载

#### source
- 类型：String
- 说明: 异步脚本源地址

### Event
#### complete
- 类型：Function
- 说明：所有脚本加载成功后的事件


